#!/uva/bin/python

import cgi
import util
import cookies
import users
import rides
import ride
import sys

util.printHeader ("Ride Details")
user = users.userTable.getCurrentUser ()

if not user:
  print "Must be logged in to see ride list!"
  util.printFooter ()
  sys.exit (-1)

print "<h1>Ride List</h1>"
form = cgi.FieldStorage()

print "<h3>Rides Offered</h3>"

rideTable = rides.Rides ()
all = rideTable.getAll ()

print "<table cellspacing=4 border=1>"
print "<tr><th>Offerer</th><th>Map</th><th>Leave Date</th><th>Return Date</th><th>Notes</th></tr>"

for ride in all:
   if ride.isoffer:
      print "<tr><td>" + users.userTable.lookupPrintName (ride.user) + "</td>" 
      print "<td><a href=\"rideinfo.cgi?ride=" + str(ride.id) + "\">Link</a></td>"
      print "<td>" + str(ride.leaveDate) + "</td><td>" + str(ride.retDate) + "</td>"
      print "<td><pre>" + ride.notes + "</pre></td></tr>"

print "</table>"
print "<p>"

### Question
### 
### Add your code for printing the Rides Requested here.
### (Hint: if you understand the code above, you can do almost everything with cut-and-paste)
###

print "<p>"

util.printFooter ()
