#
# rides.py
# CS150 Fall 2005

import MySQLdb 
import db
import constants
import ride

class Rides :
   def __init__(self):
      self.db = MySQLdb.connect (db.server, db.username, db.password, 
                                 db.dbName)

   def __del__(self):
      try:
         self.close () 
      except: 
         print "Database closed"
   def close(self):
      self.db.commit ()
      self.db.close ()

   def add (self, user, ldate, rdate, fromlat, fromlng, \
	   destlat, destlng, notes,isoffer):
      c = self.db.cursor()
      query = "INSERT INTO rides (user, leave, ret, fromLat, fromLong, " \
	+ "toLat, toLong, notes, offer) " \
	+ "VALUES ('" + user + "', '" + ldate + "', '" + rdate \
	+ "', '" + str(fromlat) + "', '" + str(fromlng) + "', '" \
	+ str(destlat) + "', '" + str(destlng) + "', " \
	+ MySQLdb.string_literal (notes) + ", '" + str(isoffer) + "')"
      c.execute (query)
      self.db.commit ()

   def lookupRide (self, rideno):
      c = self.db.cursor()
      ### Question 3:
      ### Fill in the SQL query needed to lookup a ride here
      ### (Until this is done, clicking on ride details will not work)
      c.execute ("") 
      res = c.fetchone()
      if res:
         val = ride.Ride (res)
         return val
      else:
         return False

   def getAll (self):
      c = self.db.cursor()
      c.execute ("SELECT * FROM rides")
      all = c.fetchall()
      res = []
      for el in all:
         val = ride.Ride (el)
         res.append (val)
      return res

###
### Testing
###
### test users when we run this module from the command line

if (__name__ == "__main__"):
   r = Rides()
   r1 = r.lookupRide (2)
   print r1.user
   print r.getAll ()





