#!/uva/bin/python

import util
import cookies
import users
import rides
import gmap

util.printHeader ("Look for Rides")

print """
<h1>Look for a Ride</h1>
<p>
<center>
<div id="map" style="width: 600px; height: 600px"></div>
<script type="text/javascript">
   //<![CDATA[

   var map = new GMap(document.getElementById("map"));
   map.addControl(new GSmallMapControl());
   map.centerAndZoom(new GPoint(-78.4995, 38.0340), 10);

   var ricon = new GIcon();
   ricon.image = "http://labs.google.com/ridefinder/images/mm_20_blue.png";
   ricon.shadow = "http://labs.google.com/ridefinder/images/mm_20_shadow.png";
   ricon.iconSize = new GSize(12, 20);
   ricon.shadowSize = new GSize(22, 20);
   ricon.iconAnchor = new GPoint(6, 20);
   ricon.infoWindowAnchor = new GPoint(5, 1);

   function createMarker(user, date, rideno, point) {
      var marker = new GMarker(point, ricon);
     // Show this marker's index in the info window when it is clicked
     var html = "Offered by: <b>" + user + "</b><br>Date: " + date 
	+ "<br><a href=\\\"rideinfo.cgi?ride=" + rideno + "\\\">Details</a>";

     GEvent.addListener(marker, "click", function() {
       marker.openInfoWindowHtml(html);
     });

    return marker;
   }

"""

r = rides.Rides ()
all = r.getAll ()

for ride in all:
   gmap.outputRideMarker (ride)

print """
   //]]>
</script>
</center>
<p>
"""

util.printFooter ()


