#!/uva/bin/python

import util
import cookies
import users
import datetime
import dateSelect

util.printHeader ("Request a Ride")
user = users.userTable.getCurrentUser ()

print """
<h1>Request a Ride</h1>
<p>
<center>
<form name="rideupdate" method=GET action="processrequest.cgi">
<table align="center" cellspacing=2>
<tr><td align="right">Requester</td><td><b>
"""
if user:
  print users.userTable.lookupPrintName (user)
else:
  print "Must be logged in to offer a ride"

print "</b></td></tr>"
print "<tr><td align=\"right\">Leave Date</td><td>"

print "<select name=\"leavemonth\">\n"
dateSelect.printMonthOptions ()

print "<select name=\"leaveday\">\n"
dateSelect.printDayOptions ()

print "</td></tr>"
print "<tr><td align=\"right\">Return Date</td><td>"

print "<select name=\"returnmonth\">\n"
dateSelect.printMonthOptions ()

print "<select name=\"returnday\">\n"
dateSelect.printDayOptions ()

print """
<br></td></tr>

<tr><td align="right">Notes</td><td><textarea name="notes" rows="5" cols="40"></textarea></td></tr>
</table>
<p>

<!-- These hidden fields are given values by clicking on the map. -->
<input type=hidden name=fromlat><input type=hidden name=fromlng>
<input type=hidden name=destlat><input type=hidden name=destlng>

<div id="directions">
Click on the map to select the start location and end location:
</div>

<div id="map" style="width: 500px; height: 400px"></div>
<script type="text/javascript">
   //<![CDATA[
    
   var havefrom = false;
   var map = new GMap(document.getElementById("map"));
   map.addControl(new GSmallMapControl());
   map.centerAndZoom(new GPoint(-78.4995, 38.0340), 9);
	
   GEvent.addListener(map, 'click', function(overlay, point) {
      if (overlay) {
	 map.removeOverlay(overlay)
      } else if (point) {
	 if (havefrom) {
	    map.addOverlay(new GMarker(point));
	    document.rideupdate.destlat.value = point.y;
            document.rideupdate.destlng.value = point.x;
	    map.addOverlay(new GPolyline([frompoint, point], "#ff0000", 10));
	 } else {
	    havefrom = true;
	    frompoint = point;
	    map.addOverlay(new GMarker(point));
	    document.rideupdate.fromlat.value = point.y;
	    document.rideupdate.fromlng.value = point.x;
	 }
      }
    });
    //]]>
    </script>
  <p><input type=submit value="Submit Ride Request"></input></p>
  </form>
"""

util.printFooter ()






